

# Bienvenue dans GTF

 ![](./images/logos/GTF.png)

GTF (Gestionnaire de Tâches pour FME) est une application 100% web qui permet de publier sur internet des traitements conçus avec FME et de les mettre à disposition d'un grand nombre d'utilisateurs. C'est un outil de partage, de planification et de supervision de traitements FME.

GTF offre des fonctions d'administration pour la création et la gestion des utilisateurs et l'attribution des droits sur les traitements.

GTF est particulièrement bien adapté pour répondre à des besoins de :

- conversion de fichiers
- extraction de données
- contrôle qualité
- génération de rapport
- gestion d'alertes

GTF se compose d'une application cliente, d'une API REST qui permet d'exploiter GTF sous forme de service web et d'une API Formulaire :

- GTF Client permet à l'administrateur de publier des traitements préalablement conçus avec FME Workbench. Par cette interface, l'administrateur gère les utilisateurs en leur attribuant des droits sur les traitements publiés, et peut également  s'appuyer sur un annuaire MS-Active Directory pour assurer l'authentification et la gestion des droits. Il dispose par ailleurs de fonctions de supervision et de consultation de statistiques. Les utilisateurs soumettent des demandes de traitements, chargent leurs propres données et téléchargent les résultats. Les traitements sont exécutés en mode asynchrone ce qui permet aux utilisateurs de continuer à travailler sans attendre la fin du traitement. Un e-mail avertit l'utilisateur de la disponibilité du résultat. GTF Client permet également  de s'abonner à un traitement à la fréquence souhaitée pour automatiser la production d'un traitement.

- L'API REST de GTF permet à n'importe quelle application de faire appel aux services de GTF de manière transparente pour les utilisateurs. C'est la solution idéale pour les développeurs souhaitant offrir leur propre interface graphique.

- L'API Formulaire permet de mettre en forme le formulaire de saisie des paramètres en intégrant des composants (cartes open layer, arborescences de fichiers…)

## Les composants logiciels de GTF

L'architecture de GTF est constituée de plusieurs composants logiciels.

<table align="center" class="docutils" border="1">

<thead valign="middle" align="center">
  <tr class="row-odd">
   <td>
   <b>Composants</b>
   </td>
   <td>
   <b>Description</b>
   </td>
  </tr>
</thead>

<tbody valign="middle">
<tr class="row-even">
 <td>
 GTF client
 </td>
 <td>
 Applications Web permettant aux utilisateurs l’accès aux services GTF
 </td>
</tr>

<tr class="row-odd">
 <td>
 Apache HTTPD
 </td>
 <td>
 Logiciel serveur HTTP.
 </td>
</tr>

<tr class="row-even">
  <td>
  PHP
  </td>
  <td>
  Langage de programmation
  </td>
</tr>

<tr class="row-odd">
  <td>
  PostgreSQL
  </td>
  <td>Système de gestion de base de données relationnelle utilisé pour le stockage des informations : demandes de traitements, traitements publiés, droits des utilisateurs...
  </td>
</tr>

<tr class="row-even">
  <td>
  PYCRON
  </td>
  <td>Service Windows assurant l'exécution de tâches planifiées.
  </td>
</tr>

<tr class="row-odd">
  <td>GTF Engine</p>
  </td>
  <td>GTF Engine désigne le moteur de GTF, la partie logicielle capable d’exécuter les traitements FME. GTF exploite au minimum un moteur GTF. Les moteurs supplémentaires permettent de répartir la charge sur plusieurs process ou machines. L'ajout de moteurs supplémentaires et soumis à l'acquisition des licences correspondantes.
  </td>
</tr>

<tr class="row-even">
  <td>
  FME
  </td>
  <td>
  Logiciel FME Professional Edition ou supérieure en licence fixe ou flottante. FME ne fait pas partie du logiciel GTF, mais il est indispensable à son fonctionnement.
  </td>
</tr>

</tbody>
</table>

 ![composants logiciels de GTF](./images/composants/gtf_composants.png)
